org.multiverse.api.exceptions

## Class TxnExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AtomicOperationException, IllegalCommuteException, IllegalTxnStateException, PropagationException, RetryException, StmMismatchException

    public class TxnExecutionException
    extends java.lang.RuntimeException

A `RuntimeException` thrown when something fails while executing a `Txn`.

This exception is not caught by the `TxnExecutor`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TxnExecutionException()` Creates a new TransactionalExecutionException.
`TxnExecutionException(java.lang.String message)` Creates a new TransactionalExecutionException with the provided message and cause.
`TxnExecutionException(java.lang.String message, java.lang.Throwable cause)` Creates a new TransactionalExecutionException with the provided message and cause.
`TxnExecutionException(java.lang.Throwable cause)` Creates a new TransactionalExecutionException with the provided cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxnExecutionException

    public TxnExecutionException()

Creates a new TransactionalExecutionException.

#### TxnExecutionException

    public TxnExecutionException(java.lang.String message)

Creates a new TransactionalExecutionException with the provided message and cause.

Parameters:
  `message` - message of the exception.

#### TxnExecutionException

    public TxnExecutionException(java.lang.String message,
                         java.lang.Throwable cause)

Creates a new TransactionalExecutionException with the provided message and cause.

Parameters:
  `message` - the message of the exception.
  `cause` - the Throwable that caused the exception.

#### TxnExecutionException

    public TxnExecutionException(java.lang.Throwable cause)

Creates a new TransactionalExecutionException with the provided cause.

Parameters:
  `cause` - the Throwable that was the cause of this TransactionalExecutionException.